FLANG

Static Public Member Functions | List of all members
Fortran::semantics::GetExprHelper Struct Reference

## Static Public Member Functions
static const SomeExpr * | Get (const parser::Expr &)
static const SomeExpr * | Get (const parser::Variable &)
static const SomeExpr * | Get (const parser::DataStmtConstant &)
template<typename T >
static const SomeExpr * | Get (const common::Indirection< T > &x)
template<typename T >
static const SomeExpr * | Get (const std::optional< T > &x)
template<typename T >
static const SomeExpr * | Get (const T &x)

The documentation for this struct was generated from the following files:

- include/flang/Semantics/tools.h
- lib/Semantics/tools.cpp